#ifndef _LIST_H_
#define _LIST_H_

#include <lib.h>

typdef struct node
{
  struct node * next;
  int val;
} node;

typedef struct list
{
  node * front;
  int len;
} list;

list * newlist(void);
void listsert(list * l, int x);
void listemove(list * l, int x);
void listelete(list * l);
int listearch(list * l, int x);

#endif /* _LIST_H_ */